// Shape.h: interface for the CShape class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SHAPE_H__D15FFFEE_923F_49DD_985F_F59CA4F42A4A__INCLUDED_)
#define AFX_SHAPE_H__D15FFFEE_923F_49DD_985F_F59CA4F42A4A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CShape  
{
public:
	void SetTransparency(int nValue);
	int GetTransparency();
	bool IsSelected();
	CRect GetBounds();
	void Select(bool bSelect=true);
	CShape();
	virtual ~CShape();

	virtual void Draw(Graphics &g);

	virtual bool HitTest(CPoint &point);

protected:
	int m_nHeight;
	int m_nWidth;
	int m_nY;
	int m_nX;
	int m_nTransparency;
	bool m_bSelected;
};

#endif // !defined(AFX_SHAPE_H__D15FFFEE_923F_49DD_985F_F59CA4F42A4A__INCLUDED_)
